Subject: Re: [PATCH/RFC v2 3/4] fetch-pack: test cases for the new --stdin option

From: Ivan Todoroski <[email-masked]>
Date: Wed, 28 Mar 2012 02:14:45 +0200

On 28.03.2012 01:36, Ivan Todoroski wrote:
> On 27.03.2012 19:40, Junio C Hamano wrote:
>> 
>> It is sensible to expect that we see all the refs we told it to
>> fetch, but I do not think it is sensible to require they come in
>> the same order as we have given them to the command.
> 
> Oh, OK. I was not aware that fetch-pack is free to reorder commits
> (at least in principle). I will adjust the tests to be
> order-independent.

s/reorder commits/reorder refs for fetching/

I didn't mean actually reordering commits in history, of course.